Question: An error adding datasets to a New data library
2
gravatar for jvdelarosa
19 months ago by
jvdelarosa20
Spain (Canary Islands)
jvdelarosa20 wrote:

Hello to everybody.

I’m trying to Access to my data files into a local instance of galaxy, installed in a virtual machine with Debian Jessie 8.2.0 (with Python 2.7.9 installed), using the data libraries as administrator (I’m handling big data files). To do this task I have changed the option library_import_path into the config/galaxy.ini file to the path (“/home/jvdelarosa/Bioinformatica/BioDatos/”) where my files are located, as is explained in the Galaxy wiki section (“Uploading Files to a Data Library”).

As administrator I can create a new data library, but when I’m trying to add datasets following the instructions explained in section mentioned above, an error message is showed on the web browser.

“Error attempting to display contents of library (New data library): 'ascii' codec can't decode byte 0xc3 in position 1: ordinal not in range(128).”

I have to mention that I never had any problem with other local galaxy instances I have installed in the past (with the same O.S.)

I have been searching on the web about the same problem in galaxy without success.

Can anyone explain what’s happening with my local instance of galaxy and if there is any solution?

A lot of thanks in advance.

Vladimir

ADD COMMENTlink modified 18 months ago by christophe.habib330 • written 19 months ago by jvdelarosa20

I have the same problem here. But I didn't change any path... I did upgrade from 15.01 to 16.01 recently. And I am now using supervisor uwsgi and htcondor. (I really don't know if it is related)

My error is :

"Error attempting to display contents of library (Panels_GMPH): 'ascii' codec can't decode byte 0xc3 in position 9: ordinal not in range(128)."

To give more details, only a few of my data libraries have this error. I see no relation with the name of the data libraries or with the content of them.

ADD REPLYlink modified 18 months ago • written 18 months ago by christophe.habib330

After discussion on IRC, it looks like Master branch isn't the latest release. So I am not running release 16.01, but master.

ADD REPLYlink written 18 months ago by christophe.habib330
0
gravatar for christophe.habib
18 months ago by
France
christophe.habib330 wrote:

Hi Vladimir,

Dannon managed to fix this for me. In my case it was totally related to the locale variables (fr). Can you try this fix and tell us if the problem is solved?

https://github.com/galaxyproject/galaxy/pull/2214/commits/ef12ae303577b2cc1967a08b341962f0ef1ffc5a

ADD COMMENTlink written 18 months ago by christophe.habib330
0
gravatar for Nicola Soranzo
18 months ago by
Norwich, UK
Nicola Soranzo60 wrote:

Hi Vladimir, what version of Galaxy are you using?

ADD COMMENTlink written 18 months ago by Nicola Soranzo60
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 16.09
Traffic: 87 users visited in the last hour